<?php
/*
Plugin Name: Fabrix Random Images
Plugin URI: http://www.blogjobs.it/
Description: Random Gallery Widget - Widget Galleria fotografica random
Author: Fabrizio Novelli
Version: 0.0.4
Author URI: http://www.blogjobs.it

   My Widget is released under the GNU General Public License (GPL)
   http://www.gnu.org/licenses/gpl.txt

   This is a WordPress plugin (http://wordpress.org) and widget
   (http://automattic.com/code/widgets/).
*/

function widget_galleria_init() {

   if ( !function_exists('register_sidebar_widget') || !function_exists('register_widget_control') )
       return;


   function immagini_random($dir) {
   $formato_immagini = array('jpg','png','gif');
   $cartella_immagini = opendir($dir);
   while($immagine = readdir($cartella_immagini))
         {
            if (in_array(strtolower(substr($immagine, -3)), $formato_immagini))
            {
            $elenco_immagini[] = $immagine;
            sort($elenco_immagini);
            reset($elenco_immagini);
            }
        }
    return $dir.'/'.$elenco_immagini[rand(1, count($elenco_immagini)) -1];
   }
   

   function widget_galleria($args) {

       extract($args);

       $options = get_option('widget_galleria');
       $title = empty($options['title']) ? 'Immagini Random' : $options['title'];
       $text = empty($options['text']) ? 'by Fabrizio Novelli!' : $options['text'];
       $dir = empty($options['dir']) ? 'wp-content/plugins/fabrix-random-images/immagini' : $options['dir'];

       echo $before_widget;
       echo $before_title . $title . $after_title;
       echo '<center><img src="' .immagini_random($dir). '" width="160" height="160"/></center>';
       echo '<br />' . $text;

       echo $after_widget;
      
   }


   function widget_galleria_control() {

       $options = get_option('widget_galleria');

       if ( $_POST['galleria-submit'] ) {
           $newoptions['title'] = strip_tags(stripslashes($_POST['galleria-title']));
           $newoptions['text'] = strip_tags(stripslashes($_POST['galleria-text']));
       }

       if ( $options != $newoptions ) {
           $options = $newoptions;
           update_option('widget_galleria', $options);
       }

       $title = htmlspecialchars($options['title'], ENT_QUOTES);
       $text = htmlspecialchars($options['text'], ENT_QUOTES);

?>

       <div>

       <label for="galleria-title" style="line-height:35px;display:block;">Titolo: <input type="text" id="galleria-title" name="galleria-title" value="<?php echo $title; ?>" /></label>

       <label for="galleria-text" style="line-height:35px;display:block;">Didascalia: <input type="text" id="galleria-text" name="galleria-text" value="<?php echo $text; ?>" /></label>

       <!-- <label for="galleria-dir" style="line-height:35px;display:block;">Cartella: <input type="text" id="galleria-dir" name="galleria-dir" value="<?php echo $dir; ?>" /></label> -->

       <input type="hidden" name="galleria-submit" id="galleria-submit" value="1" />

       </div>

<?php

   }

   register_sidebar_widget('Fabrix Gallery', 'widget_galleria');
   register_widget_control('Fabrix Gallery', 'widget_galleria_control');

}

add_action('plugins_loaded', 'widget_galleria_init');

?>
